=== modified file 'about.py'
--- about.py	2008-04-01 09:59:41 +0000
+++ about.py	2008-06-28 17:13:46 +0000
@@ -25,13 +25,23 @@
 import os
 from bzrlib.plugins.gtk import icon_path
 
+
+def read_license():
+    license_file = os.path.join(os.path.dirname(__file__), "COPYING")
+    if os.path.exists(license_file):
+        return file(license_file).read()
+    # Fall back to just license name if we can't find the file
+    return "GPLv2 or later"
+
+
 class AboutDialog(gtk.AboutDialog):
     def __init__(self):
         super(AboutDialog, self).__init__()
         self.set_name("Bazaar GTK")
         self.set_version(bzrlib.plugins.gtk.version_string)
         self.set_website("http://bazaar-vcs.org/BzrGtk")
-        self.set_license("GNU GPL v2 or later")
-        self.set_icon(gtk.gdk.pixbuf_new_from_file(icon_path("bzr-icon-64.png")))
+        self.set_license(read_license())
+        self.set_logo(gtk.gdk.pixbuf_new_from_file(icon_path("bzr-icon-64.png")))
         self.connect ("response", lambda d, r: d.destroy())
 
+

=== modified file 'revisionview.py'
--- revisionview.py	2008-06-29 19:18:34 +0000
+++ revisionview.py	2008-06-24 10:34:38 +0000
@@ -22,11 +22,9 @@
 import gobject
 import webbrowser
 
+from bzrlib.plugins.gtk import icon_path
 from bzrlib.osutils import format_date
 from bzrlib.util.bencode import bdecode
-from bzrlib.testament import Testament
-
-from bzrlib.plugins.gtk import icon_path
 
 try:
     from bzrlib.plugins.gtk import seahorse
@@ -222,17 +220,7 @@
                                         "This revision has not been signed.")
 
     def show_signature(self, crypttext):
-        (cleartext, key) = seahorse.verify(crypttext)
-
-        assert cleartext is not None
-
-        inv = self.repository.get_inventory(self.revision.revision_id)
-        expected_testament = Testament(self.revision, inv).as_short_text()
-        if expected_testament != cleartext:
-            self.signature_image.set_from_file(icon_path("sign-bad.png"))
-            self.signature_label.set_markup("<b>Signature does not match repository data</b>\n" +
-                        "The signature plaintext is different from the expected testament plaintext.")
-            return
+        key = seahorse.verify(crypttext)
 
         if key and key.is_available():
             if key.is_trusted():
@@ -334,8 +322,8 @@
         self._create_general()
         self._create_relations()
         # Disabled because testaments aren't verified yet:
-        if has_seahorse:
-            self._create_signature()
+        # if has_seahorse:
+        #    self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 

=== modified file 'seahorse.py'
--- seahorse.py	2008-06-29 19:07:23 +0000
+++ seahorse.py	2008-06-20 03:33:17 +0000
@@ -85,10 +85,7 @@
         if key not in keyset:
             keyset[key] = Key(key)
 
-        return (cleartext, keyset[key])
-
-    return (cleartext, None)
-
+        return keyset[key]
 
 class Key:
 

